Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class BarExtendInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.BarExtendInfo

Direct Known Subclasses:
  ConeInfo, CylinderInfo, PyramidInfo

    public abstract class BarExtendInfo

extends ChartTypeInfo

Contains the information of bar extend chart type in the file. The class extends chartTypeInfo.

Field Summary
`static short` | `HF100STACKED` Specifies the 100% stacked bar type.
`static short` | `HNORMAL` Specifies the normal bar type.
`static short` | `HSTACKED` Specifies the stacked bar type.
`static short` | `TRUE3D` Specifies the 3D chart type.
`static short` | `VF100STACKED` Specifies the 100% stacked column type.
`static short` | `VNORMAL` Specifies the normal column type.
`static short` | `VSTACKED` Specifies the stacked column type.

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`BarExtendInfo(short dataLabel, short style)` Constructs the BarExtendInfo and sets its fields appropriately.

Method Summary
`abstract int` | `getChartType()` Gets the type of the chart.
`short` | `getSpbBars()` Gets the space between bars.
`short` | `getSpbCats()` Gets the space between categories.
`short` | `getStyle()` Gets the style of the bar chart.
`boolean` | `hasShadow()` Gets whether this chart has a shadow or not.
`void` | `setSpbBars(short spbBars)` Sets the space between bars.
`void` | `setSpbCats(short spbCats)` Sets the space between categories.
`void` | `setStyle(short style)` Sets the style of the bar chart.

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setCatNameRef, setDataLabel, setInfo3D, setIs3D, setIsPercentDataLabel, setIsShowY2, setIsShowYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HNORMAL

    public static final short HNORMAL

  Specifies the normal bar type.

  See Also:
    Constant Field Values

### VNORMAL

    public static final short VNORMAL

  Specifies the normal column type.

  See Also:
    Constant Field Values

### HSTACKED

    public static final short HSTACKED

  Specifies the stacked bar type.

  See Also:
    Constant Field Values

### VSTACKED

    public static final short VSTACKED

  Specifies the stacked column type.

  See Also:
    Constant Field Values

### HF100STACKED

    public static final short HF100STACKED

  Specifies the 100% stacked bar type.

  See Also:
    Constant Field Values

### VF100STACKED

    public static final short VF100STACKED

  Specifies the 100% stacked column type.

  See Also:
    Constant Field Values

### TRUE3D

    public static final short TRUE3D

  Specifies the 3D chart type.

  See Also:
    Constant Field Values

Constructor Detail

### BarExtendInfo

    public BarExtendInfo(short dataLabel,
                         short style)

  Constructs the BarExtendInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, 0 for none, 1 for show value, and 16 for show label
    `style` - Style of bar

Method Detail

### getChartType

    public abstract int getChartType()

  Gets the type of the chart.

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### getSpbBars

    public short getSpbBars()

  Gets the space between bars.

  Returns:
    space between bars

### setSpbBars

    public void setSpbBars(short spbBars)

  Sets the space between bars.

  Parameters:
    `spbBars` - space between bars

### getSpbCats

    public short getSpbCats()

  Gets the space between categories.

  Returns:
    space between categories

### setSpbCats

    public void setSpbCats(short spbCats)

  Sets the space between categories.

  Parameters:
    `spbCats` - space between categories

### getStyle

    public short getStyle()

  Gets the style of the bar chart.

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    style of the bar chart

### setStyle

    public void setStyle(short style)

  Sets the style of the bar chart.

  Parameters:
    `style` - style of the bar chart

### hasShadow

    public boolean hasShadow()

  Gets whether this chart has a shadow or not.

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    whether this chart has a shadow or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD